summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2020-10-08 14:43:07 +0000
committerDaniel Bermond2020-10-08 14:43:07 +0000
commit4d24d3bd6a94492416da207c03825b81d90da8d1 (patch)
tree6d3db93d99137717492170b7cbe93786b1d5e5b3
parent90a46c6e9b0c59bd6a69eaf526d1aedaf22d1929 (diff)
downloadaur-4d24d3bd6a94492416da207c03825b81d90da8d1.tar.gz
New upstream option: --enable-libuavs3d
At the time of writing, it does not work with the uavs3d stable version and requires the git master version (uavs3d-git). References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=c952db9d68d31d1eca5ac770cc53bf35b885b087
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD6
2 files changed, 6 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3d4ab97069e..569fe75535a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = ffmpeg-full-git
pkgdesc = Complete solution to record, convert and stream audio and video (all possible features including libfdk-aac; git version)
- pkgver = 4.4.r99487.g1249698e1b
+ pkgver = 4.4.r99491.g616eb93a40
pkgrel = 1
url = https://www.ffmpeg.org/
arch = x86_64
@@ -110,6 +110,7 @@ pkgbase = ffmpeg-full-git
depends = openh264
depends = libopenmpt-svn
depends = shine
+ depends = uavs3d-git
depends = vo-amrwbenc
depends = xavs
depends = xavs2
diff --git a/PKGBUILD b/PKGBUILD
index 87329f9ce08..a08591c5967 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@ _svt_hevc_ver='ead6fdf7c9ff84511b42fc1658c1654b84d83e4b'
_svt_vp9_ver='7951c3cf6773c5e0ede00e4ce3e3ad2f7e090cfb'
pkgname=ffmpeg-full-git
-pkgver=4.4.r99487.g1249698e1b
+pkgver=4.4.r99491.g616eb93a40
pkgrel=1
pkgdesc='Complete solution to record, convert and stream audio and video (all possible features including libfdk-aac; git version)'
arch=('x86_64')
@@ -27,7 +27,8 @@ depends=(
'intel-media-sdk' 'libva' 'libvdpau'
# AUR:
'chromaprint-fftw' 'davs2' 'flite1-patched' 'libklvanc-git' 'openh264'
- 'libopenmpt-svn' 'shine' 'vo-amrwbenc' 'xavs' 'xavs2' 'pocketsphinx'
+ 'libopenmpt-svn' 'shine' 'uavs3d-git' 'vo-amrwbenc' 'xavs' 'xavs2'
+ 'pocketsphinx'
)
makedepends=(
# official repositories:
@@ -155,6 +156,7 @@ build() {
--enable-libtheora \
--disable-libtls \
--enable-libtwolame \
+ --enable-libuavs3d \
--enable-libv4l2 \
--enable-libvidstab \
--enable-libvmaf \